Package org.apache.sysds.runtime.iogen

# Class ColIndexStructure

java.lang.Object
org.apache.sysds.runtime.iogen.ColIndexStructure

public class ColIndexStructure extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`ColIndexStructure.IndexProperties`

## Constructor Summary

Constructors
Constructor
Description
`ColIndexStructure()`

## Method Summary

Modifier and Type
Method
Description
`HashSet<String>`
`endWithValueString()`
`HashSet<String>`
`endWithValueStrings()`
`int`
`getColIndexBegin()`
`String`
`getIndexDelim()`
`ArrayList<String>`
`getKeyPattern()`
`ColIndexStructure.IndexProperties`
`getProperties()`
`String`
`getValueDelim()`
`void`
`setColIndexBegin(int colIndexBegin)`
`void`
`setEndWithValueString(HashSet<String> endWithValueString)`
`void`
`setIndexDelim(String indexDelim)`
`void`
`setKeyPattern(ArrayList<String> keyPattern)`
`void`
`setProperties(ColIndexStructure.IndexProperties properties)`
`void`
`setValueDelim(String valueDelim)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ColIndexStructure

public ColIndexStructure()

## Method Details

### endWithValueStrings

public HashSet<String> endWithValueStrings()

### getProperties

public ColIndexStructure.IndexProperties getProperties()

### setProperties

public void setProperties(ColIndexStructure.IndexProperties properties)

### getKeyPattern

public ArrayList<String> getKeyPattern()

### setKeyPattern

public void setKeyPattern(ArrayList<String> keyPattern)

### getColIndexBegin

public int getColIndexBegin()

### setColIndexBegin

public void setColIndexBegin(int colIndexBegin)

### getIndexDelim

public String getIndexDelim()

### setIndexDelim

public void setIndexDelim(String indexDelim)

### getValueDelim

public String getValueDelim()

### setValueDelim

public void setValueDelim(String valueDelim)

### endWithValueString

public HashSet<String> endWithValueString()

### setEndWithValueString

public void setEndWithValueString(HashSet<String> endWithValueString)